from pathlib import Path
from jinja2 import Environment, FileSystemLoader, select_autoescape
from zona.models import Item


def init_templates(template_dir: Path) -> Environment:
    return Environment(
        loader=FileSystemLoader(template_dir),
        autoescape=select_autoescape(["html", "xml"]),
    )


def render_item(item: Item, content: str, env: Environment) -> str:
    template = env.get_template("post.html")
    meta = item.metadata
    assert meta is not None
    return template.render(
        title=meta.title, content=content, url=item.url, metadata=meta
    )
